Page MenuHomePhabricator

Logging when a task has been marked as a blocker
Closed, ResolvedPublic

Description

Reported upstream: https://secure.phabricator.com/T6884

Steps to reproduce:

  1. create ticket T1
  2. create T2
  3. open the page for T1, click "edit blocking tags"
  4. add T2 as blocker

Expected results: there will be a record on the T1 page telling who and when added the blocker, and a similar record on the T2 page for the dependency.

Actual results:

  • T1 logs "(someone) added a blocking task: T2:...". A notification is created (needs testing on web and email)
  • However, T2 doesn't log anything and its subscribers will miss the event.

The same happens when removing blockers.

Event Timeline

Tgr created this task.Dec 3 2014, 1:56 AM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added a project: Phabricator.
Tgr changed Security from none to None.
Tgr added a subscriber: Tgr.
Aklapper renamed this task from Adding/removing blockers/dependencies should show up on the page to Adding/removing blockers/dependencies should show up on the task page in its inline history.Dec 3 2014, 2:24 AM
Aklapper triaged this task as Low priority.
Aklapper edited projects, added Phabricator (Upstream); removed Phabricator.
Qgil added a subscriber: Qgil.Dec 3 2014, 10:39 AM

Yes, I have been peeking at this problem as well. Thank you for reporting it. Have you checked whether someone has submitted this problem upstream?

Tgr added a comment.EditedDec 4 2014, 6:54 PM

I haven't found anything, although this screenshot in T5751 suggests that this is fixed upstream.

Qgil renamed this task from Adding/removing blockers/dependencies should show up on the task page in its inline history to Logging when a task has been marked as a blocker.Dec 5 2014, 9:19 AM
Qgil updated the task description. (Show Details)
Qgil added a comment.Dec 5 2014, 9:21 AM

Tested with https://phab-01.wmflabs.org/T331 and https://phab-01.wmflabs.org/T332

Everything seems to work fine in the task being blocked (we still need to test the notifications, but I think they work). The problem lies in the blocker task, where no event is registered.

This is also a regression from Bugzilla, where both tasks would be identified as blocker/blocking.

Qgil added a comment.Dec 5 2014, 9:25 AM

My https://phabricator.wikimedia.org/notification/ seems to notify when a blocking task has been closed, but in my history right now I don't have any notification for the event of a task being marked as blocked by another one. Further test and feedback is welcome before submitting the task upstream.

Qgil updated the task description. (Show Details)Jan 7 2015, 11:01 AM
Qgil moved this task from Ready To Go to Upstreamed on the Phabricator (Upstream) board.
Qgil closed this task as Resolved.Apr 30 2015, 12:08 PM
Qgil claimed this task.

I don't know when this was fixed, but it works now.

(Sorry for the noise blocking and unblocking, I just wanted to test here after seeing that it works upstream).

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:04 PM